Xerces2 Implementation: Class SAXMessageFormatter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class SAXMessageFormatter

    java.lang.Object
      |
      +--org.apache.xerces.util.SAXMessageFormatter

public class SAXMessageFormatter
extends java.lang.Object

Used to format SAX error messages using a specified locale.

Version:
  $Id: SAXMessageFormatter.java,v 1.1 2004/02/05 21:30:09 mrglavas Exp $
Author:
  Michael Glavassevich, IBM

Constructor Summary
`SAXMessageFormatter()`

Method Summary
`static java.lang.String` | `formatMessage(java.util.Locale locale, java.lang.String key, java.lang.Object[] arguments)` Formats a message with the specified arguments using the given locale information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXMessageFormatter

    public SAXMessageFormatter()

Method Detail

### formatMessage

    public static java.lang.String formatMessage(java.util.Locale locale,
                                                 java.lang.String key,
                                                 java.lang.Object[] arguments)
                                          throws java.util.MissingResourceException

  Formats a message with the specified arguments using the given locale information.
  Parameters:
    `locale` - The locale of the message.
    `key` - The message key.
    `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
  Returns:
    the formatted message.
  Throws:
    `java.util.MissingResourceException` - Thrown if the message with the specified key cannot be found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.